Subject: [bug#27485] [PATCH] gnu: nyacc: Update to 0.80.3.

From: Arun Isaac <[email-masked]>
Date: Mon, 26 Jun 2017 02:22:08 +0530

>> In the intall phase, I get several warnings/errors similar to:
>>
>> ;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
>> ;;;       or pass the --no-auto-compile argument to disable.
>> ;;; compiling /gnu/store/5zx29y44nrqj0s8h3jlvlj82k8hj4dxs-guile-2.2.2/bin/guild
>> ;;; WARNING: compilation of /gnu/store/5zx29y44nrqj0s8h3jlvlj82k8hj4dxs-guile-2.2.2/bin/guild failed:
>> ;;; ERROR: failed to create path for auto-compiled file
>> "/gnu/store/5zx29y44nrqj0s8h3jlvlj82k8hj4dxs-guile-2.2.2/bin/guild"
>> wrote `/gnu/store/nf0wk6cl2fpj4cl39lvfwsxsaxwqgqwm-nyacc-0.80.3/lib/guile/2.2/site-ccache/nyacc/lang/c99/util2.go'
>
> I wondered what to do here.  I could add a `setenv' phase and set
> GUILE_AUTO_COMPILE=0...but do we really want to do that for each
> individual guile package?

I think we should have a guile-build-system that handles this sort of
thing. WDYT?

>> And, in the strip phase, I get several warnings similar to:
>>
>> strip: Unable to recognise the format of the input file
>> `/gnu/store/nf0wk6cl2fpj4cl39lvfwsxsaxwqgqwm-nyacc-0.80.3/lib/guile/2.2/site-
>> ccache/nyacc/bison.go'
>> Are these ok?
>
> I don't know about a workaround here, but also: should we add an
> exception for all Guile packages that install .go files, or can we
> somehow handle this in Guix?

Some similar fix at the build-system level...

Other than that, this patch is ok. Please push!